Get a payment
curl --request GET \
--url https://api.togai.com/payments/{payment_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.togai.com/payments/{payment_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.togai.com/payments/{payment_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "payment.1223dfs.234ds",
"description": "Payment for services",
"notes": "Invoice payment",
"accountId": "acc123",
"currency": "USD",
"externalPaymentReferences": {
"sourceName": "XYZ Company",
"sourceType": "CARD",
"transactionNumber": "TXN123",
"description": "Card payment"
},
"lineItemRecords": [
{
"togaiId": "inv.234.12efwe",
"amount": 1000,
"type": "INVOICE",
"order": 1
},
{
"togaiId": "inv.235.12efwe",
"amount": 600,
"type": "INVOICE",
"order": 2
},
{
"togaiId": "cred.236.12efwe",
"amount": 100,
"type": "CREDIT",
"order": 3
}
],
"totalAmount": 1700,
"version": 1,
"createdBy": "user123",
"createdAt": "2023-01-01T12:00:00"
}{
"message": "<Reason message>"
}{
"message": "<Reason message>"
}{
"message": "<Reason message>"
}{
"message": "<Reason message>"
}{
"message": "<Reason message>"
}{
"message": "<Reason message>"
}Payments
Get a payment
Get payment
GET
/
payments
/
{payment_id}
Get a payment
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Example:
"payment.1zYnCiM9Bpg.lv25y"
Query Parameters
Optional version to get a specific version. Gets latest version if it is not provided.
Example:
2
Response
Response for POST payments requests
Payment object
Example:
"pay.w123rwe.1231"
Example:
"ACC001"
external payment reference object
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
